### Class

# WPEPlatform GamepadManager

#### Description

    abstract class WPEPlatform.GamepadManager : GObject.Object
    {
      WPEGamepadManagerPrivate* priv
    }

No description available.

#### Ancestors

- GObject

#### Instance methods

###### wpe_gamepad_manager_add_device

Add `gamepad` to `manager` and emit the signal `WPEGamepadManager::device-added` if it wasn’t already present.

###### wpe_gamepad_manager_list_devices

Get the list of `WPEGamepad` devices in `manager`.

###### wpe_gamepad_manager_remove_device

Remove `gamepad` from `manager` and emit the signal `WPEGamepadManager::device-removed` if it was present.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

###### WPEPlatform.GamepadManager::device-added

Emitted when a gamepad device is added.

###### WPEPlatform.GamepadManager::device-removed

Emitted after a gaempad device is removed.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct WPEPlatformGamepadManagerClass {
      GObjectClass parent_class;
      gpointer padding;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`padding: gpointer`

  No description available.